MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Util.hxx File Reference
`#include "Compiler.h"`
`#include <string>`
`#include <list>`
Include dependency graph for Util.hxx:

Go to the source code of this file.

## Functions
void | trimstring (std::string &s, const char *ws=" \t\n")
std::string | path_getfather (const std::string &s)
gcc_pure std::list< std::string > | stringToTokens (const std::string &str, char delim)
template<class T >
bool | csvToStrings (const char *s, T &tokens)

## Function Documentation

template<class T >

bool csvToStrings | ( | const char * | s,
|  | T & | tokens
| ) |  |

std::string path_getfather | ( | const std::string & | s | ) |

gcc_pure std::list<std::string> stringToTokens | ( | const std::string & | str,
|  | char | delim
| ) |  |

void trimstring | ( | std::string & | s,
|  | const char * | ws = `" \t\n"`
| ) |  |